Skip to content

Cancel conditional order

DELETE
/v1/orders/conditionals/conditional

Cancel an open conditional order.

A 200 OK response means the request to cancel the order was accepted. You can either use the Order Status REST API or use the WebSocket API to receive status updates about this request.

The DELETE request requires a JSON request body with either orderId (the UUID assigned by VALR) or customerOrderId (your custom order ID, if one was specified when placing the order). Both orderId and pair must be specified together.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Request Body

application/json
JSON
{
"pair": "1MBONKUSDTPERP",
"orderId": "d1469f6e-774f-422b-877a-fa7ae6a03dfe"
}

Responses

Cancel conditional order request accepted

Playground

Authorization
Body

Samples